# coding: utf-8
#
# Copyright 2023-2024 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Struct Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.awt
# Libre Office Version: 2024.2
import typing
from ..rendering.rgb_color import RGBColor as RGBColor_bbdf0ba0


class ColorStop(object):
    """
    Struct Class

    defines a Color-Stop entry for a gradient definition

    See Also:
        `API ColorStop <https://api.libreoffice.org/docs/idl/ref/structcom_1_1sun_1_1star_1_1awt_1_1ColorStop.html>`_
    """
    typeName: str = 'com.sun.star.awt.ColorStop'

    def __init__(self, StopOffset: typing.Optional[float] = ..., StopColor: typing.Optional[RGBColor_bbdf0ba0] = ...) -> None:
        """
        Constructor

        Arguments:
            StopOffset (float, optional): StopOffset value.
            StopColor (RGBColor, optional): StopColor value.
        """
        ...

    @property
    def StopOffset(self) -> float:
        """
        specifies the offset.
        """
        ...
    @StopOffset.setter
    def StopOffset(self, value: float) -> None:
        ...
    @property
    def StopColor(self) -> RGBColor_bbdf0ba0:
        """
        contains the color value.
        """
        ...
    @StopColor.setter
    def StopColor(self, value: RGBColor_bbdf0ba0) -> None:
        ...

