# coding: utf-8
#
# Copyright 2023-2024 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.chart
# Libre Office Version: 2024.2
from __future__ import annotations
from typing import Protocol, Any
from typing_extensions import Literal


class ChartLegendPositionProto(Protocol):
    """Protocol for ChartLegendPosition"""

    @property
    def typeName(self) -> Literal["com.sun.star.chart.ChartLegendPosition"]:
        ...
    value: Any
    BOTTOM: ChartLegendPositionProto
    LEFT: ChartLegendPositionProto
    NONE: ChartLegendPositionProto
    RIGHT: ChartLegendPositionProto
    TOP: ChartLegendPositionProto

BOTTOM: ChartLegendPositionProto
"""
displays the chart legend beneath the diagram.

The second entry in the legend is placed on the right hand side of the first one.
"""
LEFT: ChartLegendPositionProto
"""
displays the chart legend on the left side of the diagram.

The second entry in the legend is placed below the first one.
"""
NONE: ChartLegendPositionProto
"""
error indicators are not displayed.

displays no regression curve.

no chart legend is displayed.

displays no error indicators.

To disable the legend you should set the property ChartDocument.HasLegend to FALSE instead of setting this value.
"""
RIGHT: ChartLegendPositionProto
"""
displays the chart legend on the right side of the diagram.

The second entry in the legend is placed below the first one.
"""
TOP: ChartLegendPositionProto
"""
displays the chart legend above the diagram.

The second entry in the legend is placed on the right hand side of the first one.
"""

