# coding: utf-8
#
# Copyright 2023-2024 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 2024.2
# Namespace: com.sun.star.document
from __future__ import annotations
import typing

from .x_document_recovery import XDocumentRecovery as XDocumentRecovery_2bdf0f4d


class XDocumentRecovery2(XDocumentRecovery_2bdf0f4d):
    """
    An optional interface to be implemented by documents that wish to participate in the document emergency-save / recovery process.
    
    Extends XDocumentRecovery by providing a method to query how much time elapsed since modified state of the document was set.
    
    **since**
    
        LibreOffice 24.2

    See Also:
        `API XDocumentRecovery2 <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1document_1_1XDocumentRecovery2.html>`_
    """
    __pyunointerface__: str = 'com.sun.star.document.XDocumentRecovery2'

    def getModifiedStateDuration(self) -> int:
        """
        queries the time elapsed since the document became modified
        """
        ...


