# coding: utf-8
#
# Copyright 2023-2024 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 2024.2
# Namespace: com.sun.star.reflection
from __future__ import annotations
import typing

from abc import ABC


class XDump(ABC):
    """
    Dump any UNOIDL value as a string.
    
    Mainly useful for logging and debugging purposes.
    
    **since**
    
        LibreOffice 7.6

    See Also:
        `API XDump <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1reflection_1_1XDump.html>`_
    """
    __pyunointerface__: str = 'com.sun.star.reflection.XDump'

    def dumpAny(self, value: typing.Any) -> str:
        """
        Dump the value of a UNOIDL ANY as a string.
        
        This dumps the type and value of the given ANY.
        """
        ...
    def dumpConstant(self, constantsGroup: str, value: typing.Any) -> str:
        """
        Dump a numeric UNOIDL value, interpreted relative to a UNOIDL constants group, as a string.

        Raises:
            com.sun.star.lang.IllegalArgumentException: ``IllegalArgumentException``
        """
        ...
    def dumpValue(self, value: typing.Any) -> str:
        """
        Dump a UNOIDL value as a string.
        
        This just dumps the value itself, without any further decoration.
        """
        ...


