# coding: utf-8
#
# Copyright 2023-2024 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 2024.2
# Namespace: com.sun.star.ui
from __future__ import annotations
import typing

from ..lang.x_component import XComponent as XComponent_98dc0ab5
from .xui_configuration import XUIConfiguration as XUIConfiguration_c4eb0c34
from .xui_configuration_manager import XUIConfigurationManager as XUIConfigurationManager_24e20eef
from .xui_configuration_persistence import XUIConfigurationPersistence as XUIConfigurationPersistence_661010b9
from .xui_configuration_storage import XUIConfigurationStorage as XUIConfigurationStorage_25ac0f09
if typing.TYPE_CHECKING:
    from .x_accelerator_configuration import XAcceleratorConfiguration as XAcceleratorConfiguration_46580ffb


class XUIConfigurationManager2(XComponent_98dc0ab5, XUIConfiguration_c4eb0c34, XUIConfigurationManager_24e20eef, XUIConfigurationPersistence_661010b9, XUIConfigurationStorage_25ac0f09):
    """
    
    **since**
    
        LibreOffice 4.1

    See Also:
        `API XUIConfigurationManager2 <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1ui_1_1XUIConfigurationManager2.html>`_
    """
    __pyunointerface__: str = 'com.sun.star.ui.XUIConfigurationManager2'

    def createShortCutManager(self) -> XAcceleratorConfiguration_46580ffb:
        """
        Creates a new configuration manager in case there are different views with different languages.
        
        This function enables those views to have short cut keys specific to the languages.
        
        **since**
        
            LibreOffice 7.6
        """
        ...


