# coding: utf-8
#
# Copyright 2023-2024 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 2024.2
# Namespace: com.sun.star.util
from __future__ import annotations
import typing

from abc import ABC
if typing.TYPE_CHECKING:
    from .color import Color as Color_68e908c5


class XTheme(ABC):
    """
    Theme interface.
    
    **since**
    
        LibreOffice 7.6

    See Also:
        `API XTheme <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1util_1_1XTheme.html>`_
    """
    __pyunointerface__: str = 'com.sun.star.util.XTheme'

    def getColorSet(self) -> typing.Tuple[Color_68e908c5, ...]:
        """
        Get the color set defined for the theme.
        
        The color set is a sequence of 12 colors: Dark 1, Light 1, Dark 2, Light 2, Accent 1, Accent 2, Accent 3, Accent 4, Accent 5, Accent6, Hyperlink, FollowedHyperlink
        """
        ...
    def getName(self) -> str:
        """
        Get the name of the theme.
        """
        ...


