# coding: utf-8
#
# Copyright 2023-2024 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 2024.2
# Namespace: com.sun.star.xml.crypto
import typing


class KDFID:
    """
    Const

    Constants to identify Key Derivation Function.
    
    **since**
    
        LibreOffice 24.2

    See Also:
        `API KDFID <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1xml_1_1crypto_1_1KDFID.html>`_
    """
    PBKDF2: int = ...
    """
    PBKDF2.
    
    Derive key material from password. When used with ODF, the \"StartKeyGenerationAlgorithm\" is applied to the password and the result is passed to KDF.
    """
    PGP_RSA_OAEP_MGF1P: int = ...
    """
    OpenPGP/GnuPG.
    
    Of course this is public key encryption, but it does produce key material for symmetric encryption. When used with ODF, the \"StartKeyGenerationAlgorithm\" digest is not used, as the input is not a password.
    """
    Argon2id: int = ...
    """
    Argon2id.
    
    Derive key material from password. When used with ODF, the \"StartKeyGenerationAlgorithm\" is applied to the password and the result is passed to KDF.
    """

